angular.module('app').animation('.nav-settings-item', [function() {
    alert('test');
  return {
    addClass: function(element, className, doneFn) {
         alert('test');
      // do some cool animation and call the doneFn
    },
    removeClass: function(element, className, doneFn) {
      // do some cool animation and call the doneFn
    },
    setClass: function(element, addedClass, removedClass, doneFn) {
      // do some cool animation and call the doneFn
    }
  }
}]);
// animation('.nav-settings-item', ['$animateCss', function($animateCss) {
//   return {
//     enter: function(element) {
//         alert('test');
//       return $animateCss(element, {
//         event: 'enter',
//         structural: true,
//         addClass: 'zoomIn'
//       });
//     }
//   }
// }]);